Package org.opensaml.saml.saml1.binding.encoding.impl

# Class HTTPSOAP11Encoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.encoder.AbstractMessageEncoder
org.opensaml.messaging.encoder.servlet.AbstractHttpServletResponseMessageEncoder
org.opensaml.messaging.encoder.servlet.BaseHttpServletResponseXMLMessageEncoder
org.opensaml.soap.soap11.encoder.http.impl.HTTPSOAP11Encoder
org.opensaml.saml.saml1.binding.encoding.impl.HTTPSOAP11Encoder

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `UnmodifiableComponent`, `MessageEncoder`, `HttpServletResponseMessageEncoder`, `SAMLMessageEncoder`

public class HTTPSOAP11Encoder extends HTTPSOAP11Encoder implements SAMLMessageEncoder
SAML 1.X HTTP SOAP 1.1 binding message encoder.

## Field Summary

### Fields inherited from class org.opensaml.messaging.encoder.AbstractMessageEncoder

`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`

## Constructor Summary

Constructors
Constructor
Description
`HTTPSOAP11Encoder()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBindingURI()`
Gets the SAML binding URI supported by this encoder.
`protected String`
`getSOAPAction()`
Determine the value of the SOAPAction HTTP header to send.

### Methods inherited from class org.opensaml.soap.soap11.encoder.http.impl.HTTPSOAP11Encoder

`buildAndStoreSOAPMessage, doEncode, getHTTPResponseStatusCode, getMessageToLog, getSOAPEnvelope, prepareContext, prepareHttpServletResponse, storeSOAPEnvelope`

### Methods inherited from class org.opensaml.messaging.encoder.servlet.BaseHttpServletResponseXMLMessageEncoder

`encode, marshallMessage, serializeMessageForLogging`

### Methods inherited from class org.opensaml.messaging.encoder.servlet.AbstractHttpServletResponseMessageEncoder

`doInitialize, getHttpServletResponse, getHttpServletResponseSupplier, setHttpServletResponseSupplier`

### Methods inherited from class org.opensaml.messaging.encoder.AbstractMessageEncoder

`getMessageContext, getProtocolMessageLogger, getProtocolMessageLoggerSubCategory, logEncodedMessage, setMessageContext, setProtocolMessageLoggerSubCategory`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

## Constructor Details

### HTTPSOAP11Encoder

public HTTPSOAP11Encoder()
Constructor.

## Method Details

### getSOAPAction

@Nullable protected String getSOAPAction()
Determine the value of the SOAPAction HTTP header to send.

The default behavior is to return the value of the SOAP Envelope's WS-Addressing Action header, if present.

Overrides:
  `getSOAPAction` in class `HTTPSOAP11Encoder`
Returns:
  a SOAPAction HTTP header URI value

### getBindingURI

@Nonnull public String getBindingURI()
Gets the SAML binding URI supported by this encoder.

Specified by:
  `getBindingURI` in interface `SAMLMessageEncoder`
Returns:
  SAML binding URI supported by this encoder